Bug 58981 - Xconfigurator fails to enter DisplaySize
Xconfigurator fails to enter DisplaySize
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 16:13 EST by Robert M. Riches Jr.
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-31 11:45:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert M. Riches Jr. 2002-01-28 16:13:42 EST
Description of Problem: Even though Xconfigurator puts the
monitor sync information into the configuration file, it does
not write a DisplaySize entry about the monitor.  This causes
the X server to use an incorrect DPI figure, resulting in tiny
text.

Version-Release number of selected component (if applicable):
Xconfigurator-4.9.39-0.71.1

How Reproducible: 100%


Steps to Reproduce:
1. run "Xconfigurator"
2. enter Sony CPD-G500 as monitor; enter 1600x1200 resolution
3. start an X server
4. run "xdpyinfo | more"

Actual Results: The config file has no DisplaySize info,
so the X server defaults to 75 DPI, which results in very
tiny text in some situations.

Expected Results: The config file should have a DisplaySize
entry something close to "DisplaySize 406.4 304.8", which
would result in the X server setting DPI to 100 (close
enough to 108-110).


Additional Information:
Comment 1 Mike A. Harris 2002-03-12 03:53:20 EST
Xconfigurator never writes out DisplaySize.  This is something that modern
monitors provide via EDID information in the DDC probe.  There are very
few systems that ever need the DisplaySize option, and needlessly specifying
this option on all configurations would overly complicate things.

The DisplaySize option is more of a hack to work around problem cases than
a general feature.  I think specifying it all the time would create more
problems for other users than it solves for the few who do need it.  It also
would require another dialog in the UI which would further confuse the
general case which does not need it.
Comment 2 Robert M. Riches Jr. 2002-03-12 13:15:06 EST
So, which of the five BNC connectors provides the "EDID information in the DDC
probe"???
The cheesy 15-pin D-sub connector doesn't cut it for impedance continuity, so
anyone with
an eye for good display quality will be using the BNC connectors when
available.  Oh, well.

Note You need to log in before you can comment on or make changes to this bug.